> ## Documentation Index
> Fetch the complete documentation index at: https://nayax-44d6e37b-docs-marshall-faq-redistribution.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Picture

> Uploads a picture to the server with associated metadata. The picture and its details are provided in the request body.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/metadata/upload-picture
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/metadata/upload-picture:
    post:
      tags:
        - Metadata
      summary: Upload Picture
      description: >-
        Uploads a picture to the server with associated metadata. The picture
        and its details are provided in the request body.
      operationId: upload-picture
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadPictureRequest'
      responses:
        '200':
          description: >-
            The picture was successfully uploaded, and the response contains
            details about the uploaded picture.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadPictureResponse'
components:
  schemas:
    UploadPictureRequest:
      type: object
      properties:
        ImageTypeLutId:
          type: integer
          format: int32
          description: The identifier for the type of image being uploaded.
        EntityId:
          type: string
          nullable: true
          description: The identifier of the entity to which the image is associated.
        Image:
          type: string
          nullable: true
          description: The base64-encoded string representing the image to be uploaded.
        ImageCrop:
          type: string
          nullable: true
          description: Optional cropping instructions for the image, if applicable.
        IsMonyx:
          type: boolean
          description: >-
            Indicates whether the image is associated with Monyx (a specific
            application or service).
      additionalProperties: false
    UploadPictureResponse:
      type: object
      properties:
        ImageTypeLutId:
          type: integer
          format: int32
          description: The identifier for the type of image that was uploaded.
        Key:
          type: string
          nullable: true
          description: A unique key associated with the uploaded image.
        KeyName:
          type: string
          nullable: true
          description: The name of the key associated with the uploaded image.
        Urls:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
          description: A map of URLs where the uploaded image can be accessed.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````